Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 03 Dec 2021 12:10:30 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Good day,
First of all I tried more than three times to contact with live chat but they are very late.
My main point is that I have a order from Friday and still I didn’t receive it, they delivered it for wrong address and the driver told that they will contact me to deliver it again maximum today, but still no one call me and I didn’t receive it yet! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3443107